package com.bcxin.identify.api.tencent.dto.im;

/**
 * <b> IM建群 </b>
 * @author ZXF
 * @create 2019/06/20 0020 15:36
 * @version
 * @注意事项 </b>
 */
public class VideoRoom {

	/**
	 * 房间号
	 */
	private String Room_No;

	/**
	 * 房间名
	 */
	private String Name;

	/**
	 * 视频人员cid，多个逗号隔开
	 */
	private String MemberList;

	/**
	 * 视频人员uid，跟MemberList一一对应
	 */
	private String UseList;

	/**
	 * 调度者名称
	 */
	private String Yardman_Name;

	/**
	 * 调度任务名称
	 */
	private String Yardman_Task_Name;

	/**
	 * 调度类型 1:视频调度；2：视频上拉
	 */
	private String Yardman_Type;

	/**
	 * 调度任务说明
	 */
	private String Yardman_Task_Explain;

	/**
	 * 录制人员cid，多个逗号隔开
	 */
	private String transcriber;

	/**
	 * 是否录制，0否，1是
	 */
	private String isTranscribe ="0";

	private String comId;

	/**
	 * 发起人cid;useid
	 */
	private String originator;

	public String getRoom_No() {
		return Room_No;
	}

	public void setRoom_No(String room_No) {
		Room_No = room_No;
	}

	public String getName() {
		return Name;
	}

	public void setName(String name) {
		Name = name;
	}

	public String getMemberList() {
		return MemberList;
	}

	public void setMemberList(String memberList) {
		MemberList = memberList;
	}

	public String getUseList() {
		return UseList;
	}

	public void setUseList(String useList) {
		UseList = useList;
	}

	public String getYardman_Name() {
		return Yardman_Name;
	}

	public void setYardman_Name(String yardman_Name) {
		Yardman_Name = yardman_Name;
	}

	public String getYardman_Task_Name() {
		return Yardman_Task_Name;
	}

	public void setYardman_Task_Name(String yardman_Task_Name) {
		Yardman_Task_Name = yardman_Task_Name;
	}

	public String getYardman_Type() {
		return Yardman_Type;
	}

	public void setYardman_Type(String yardman_Type) {
		Yardman_Type = yardman_Type;
	}

	public String getYardman_Task_Explain() {
		return Yardman_Task_Explain;
	}

	public void setYardman_Task_Explain(String yardman_Task_Explain) {
		Yardman_Task_Explain = yardman_Task_Explain;
	}

	public String getComId() {
		return comId;
	}

	public void setComId(String comId) {
		this.comId = comId;
	}

	public String getIsTranscribe() {
		return isTranscribe;
	}

	public void setIsTranscribe(String isTranscribe) {
		this.isTranscribe = isTranscribe;
	}

	public String getTranscriber() {
		return transcriber;
	}

	public void setTranscriber(String transcriber) {
		this.transcriber = transcriber;
	}

	public String getOriginator() {
		return originator;
	}

	public void setOriginator(String originator) {
		this.originator = originator;
	}
}
